test: autobahn: correct configuration

Signed-off-by: Alexey Galakhov <agalakhov@snapview.de>
pull/63/head
Alexey Galakhov 6 years ago
parent 758c522b31
commit 4443e910ac
  1. 2
      autobahn/fuzzingclient.json
  2. 12
      scripts/autobahn-client.sh
  3. 15
      scripts/autobahn-server.sh

@ -2,7 +2,7 @@
"outdir": "./autobahn/server", "outdir": "./autobahn/server",
"servers": [ "servers": [
{ {
"agent": "rust-websocket", "agent": "Tungstenite",
"url": "ws://127.0.0.1:9002" "url": "ws://127.0.0.1:9002"
} }
], ],

@ -12,15 +12,13 @@ function cleanup() {
trap cleanup TERM EXIT trap cleanup TERM EXIT
function test_diff() { function test_diff() {
DIFF=$(diff \ if ! diff -q \
<(jq -S 'del(."rust-websocket" | .. | .duration?)' 'autobahn/client-results.json') \ <(jq -S 'del(."Tungstenite" | .. | .duration?)' 'autobahn/client-results.json') \
<(jq -S 'del(."rust-websocket" | .. | .duration?)' 'autobahn/client/index.json') ) <(jq -S 'del(."Tungstenite" | .. | .duration?)' 'autobahn/client/index.json')
then
if [[ $DIFF ]]; then
echo 'Difference in results, either this is a regression or' \ echo 'Difference in results, either this is a regression or' \
'one should update autobahn/client-results.json with the new results.' \ 'one should update autobahn/client-results.json with the new results.' \
'The results are:' 'The results are:'
echo $DIFF
exit 64 exit 64
fi fi
} }
@ -29,6 +27,6 @@ cargo build --release --example autobahn-client
wstest -m fuzzingserver -s 'autobahn/fuzzingserver.json' & FUZZINGSERVER_PID=$! wstest -m fuzzingserver -s 'autobahn/fuzzingserver.json' & FUZZINGSERVER_PID=$!
sleep 3 sleep 3
echo "Server PID: ${WSSERVER_PID}" echo "Server PID: ${FUZZINGSERVER_PID}"
cargo run --release --example autobahn-client cargo run --release --example autobahn-client
test_diff test_diff

@ -13,21 +13,18 @@ function cleanup() {
trap cleanup TERM EXIT trap cleanup TERM EXIT
function test_diff() { function test_diff() {
DIFF=$(diff \ if ! diff -q \
<(jq -S 'del(."rust-websocket" | .. | .duration?)' 'autobahn/client-results.json') \ <(jq -S 'del(."Tungstenite" | .. | .duration?)' 'autobahn/client-results.json') \
<(jq -S 'del(."rust-websocket" | .. | .duration?)' 'autobahn/server/index.json') ) <(jq -S 'del(."Tungstenite" | .. | .duration?)' 'autobahn/server/index.json')
then
if [[ $DIFF ]]; then
echo Difference in results, either this is a regression or \ echo Difference in results, either this is a regression or \
one should update autobahn/server-results.json with the new results. \ one should update autobahn/server-results.json with the new results.
The results are:
echo $DIFF
exit 64 exit 64
fi fi
} }
cargo build --release --example autobahn-server cargo build --release --example autobahn-server
./target/debug/examples/autobahn-server & WSSERVER_PID=$! cargo run --release --example autobahn-server & WSSERVER_PID=$!
echo "Server PID: ${WSSERVER_PID}" echo "Server PID: ${WSSERVER_PID}"
sleep 3 sleep 3
wstest -m fuzzingclient -s 'autobahn/fuzzingclient.json' wstest -m fuzzingclient -s 'autobahn/fuzzingclient.json'

Loading…
Cancel
Save